REM remove temporary stuff
md temp
del temp\*.o
del temp\*.bin
del temp\*.txt
del temp\*.nl
del temp\pico.nes

REM build special banks
cc65\bin\ca65 header.s  -o temp\header.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 player.s  -o temp\player.o -g
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 pico.s -o temp\pico.o -g
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 ramcode.s -o temp\ramcode.o -g
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 startup.s -o temp\startup.o -g
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 vectors.s -o temp\vectors.o -g
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 detect_pal.s -o temp\detect_pal.o -g
@IF ERRORLEVEL 1 GOTO badbuild

cc65\bin\ld65 -o temp\header.bin -C header.cfg -m temp\header.map.txt temp\header.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\00_01.bin -C player.cfg -m temp\00_01.map.txt temp\player.o temp\pico.o temp\ramcode.o -Ln temp\00_01.labels.txt
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\7F.bin -C startup.cfg -m temp\7F.map.txt temp\startup.o temp\detect_pal.o temp\ramcode.o -Ln temp\7F.labels.txt
@IF ERRORLEVEL 1 GOTO badbuild

REM compile modified banks
cc65\bin\ca65 mod_bin\00_00.s -o temp\00_00.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 mod_bin\03_07.s -o temp\03_07.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 mod_bin\0A_07.s -o temp\0A_07.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 mod_bin\0A_0B.s -o temp\0A_0B.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 mod_bin\0A_0F.s -o temp\0A_0F.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 mod_bin\01_01.s -o temp\01_01.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 mod_bin\08_00.s -o temp\08_00.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 mod_bin\0A_00.s -o temp\0A_00.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ca65 mod_bin\0A_01.s -o temp\0A_01.o
@IF ERRORLEVEL 1 GOTO badbuild

REM link modified tracks
cc65\bin\ld65 -o temp\02.bin -C 8000.cfg temp\00_00.o temp\ramcode.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\1E.bin -C F000.cfg temp\03_07.o temp\ramcode.o temp\vectors.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\44.bin -C F000.cfg temp\0A_07.o temp\ramcode.o temp\vectors.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\48.bin -C F000.cfg temp\0A_0B.o temp\ramcode.o temp\vectors.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\4C.bin -C F000.cfg temp\0A_0F.o temp\ramcode.o temp\vectors.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\08.bin -C 9000.cfg temp\01_01.o temp\ramcode.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\30.bin -C 8000.cfg temp\08_00.o temp\ramcode.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\3D.bin -C 8000.cfg temp\0A_00.o temp\ramcode.o
@IF ERRORLEVEL 1 GOTO badbuild
cc65\bin\ld65 -o temp\3E.bin -C 9000.cfg temp\0A_01.o temp\ramcode.o
@IF ERRORLEVEL 1 GOTO badbuild

REM CHR banks starting at $7C (CHR_BANK in pico.s)
copy /b art\fp_bg.chr                         temp\7C.bin
copy /b art\fp_spr.chr                        temp\7D.bin

REM nametable banks starting at $7E (NAM_BANK in pico.s)
copy /b art\fp_title.nam  + art\fp_main.nam   + empty1k.bin       + empty1k.bin        temp\7E.bin

call copy_list.bat

REM composite NES from banks
cd temp
copy /b     00_01.bin+02.bin+03.bin+04.bin+05.bin+06.bin+07.bin+08.bin+09.bin+0A.bin+0B.bin+0C.bin+0D.bin+0E.bin+0F.bin  00_0F.bin
copy /b 10.bin+11.bin+12.bin+13.bin+14.bin+15.bin+16.bin+17.bin+18.bin+19.bin+1A.bin+1B.bin+1C.bin+1D.bin+1E.bin+1F.bin  10_1F.bin
copy /b 20.bin+21.bin+22.bin+23.bin+24.bin+25.bin+26.bin+27.bin+28.bin+29.bin+2A.bin+2B.bin+2C.bin+2D.bin+2E.bin+2F.bin  20_2F.bin
copy /b 30.bin+31.bin+32.bin+33.bin+34.bin+35.bin+36.bin+37.bin+38.bin+39.bin+3A.bin+3B.bin+3C.bin+3D.bin+3E.bin+3F.bin  30_3F.bin
copy /b 40.bin+41.bin+42.bin+43.bin+44.bin+45.bin+46.bin+47.bin+48.bin+49.bin+4A.bin+4B.bin+4C.bin+4D.bin+4E.bin+4F.bin  40_4F.bin
copy /b 50.bin+51.bin+52.bin+53.bin+54.bin+55.bin+56.bin+57.bin+58.bin+59.bin+5A.bin+5B.bin+5C.bin+5D.bin+5E.bin+5F.bin  50_5F.bin
copy /b 60.bin+61.bin+62.bin+63.bin+64.bin+65.bin+66.bin+67.bin+68.bin+69.bin+6A.bin+6B.bin+6C.bin+6D.bin+6E.bin+6F.bin  60_6F.bin
copy /b 70.bin+71.bin+72.bin+73.bin+74.bin+75.bin+76.bin+77.bin+78.bin+79.bin+7A.bin+7B.bin+7C.bin+7D.bin+7E.bin+7F.bin  70_7F.bin

copy /b 00_0F.bin+10_1F.bin+20_2F.bin+30_3F.bin+40_4F.bin+50_5F.bin+60_6F.bin+70_7F.bin  00_7F.bin
cd ..
copy /b temp\header.bin+temp\00_7F.bin  temp\pico.nes

python fceux_symbols.py

@echo.
@echo.
@echo Build complete and successful!
@IF NOT "%1"=="" GOTO endbuild
@pause
@GOTO endbuild

:badbuild
@echo.
@echo.
@echo Build error!
@IF NOT "%1"=="" GOTO endbuild
@pause
:endbuild
